---
title: Cells
description: Manage cells within InfluxDB Cloud dashboards.
url: https://docs.influxdata.com/influxdb/cloud/api/cells/
estimated_tokens: 3098
product: InfluxDB Cloud (TSM)
version: cloud
publisher: InfluxData
canonical: https://docs.influxdata.com/influxdb/cloud/api/cells/
---

[Download InfluxDB Cloud (TSM) API Spec](/openapi/influxdb-cloud-v2-api.yml)

Manage cells within InfluxDB Cloud dashboards.

POST`/api/v2/dashboards/{dashboardID}/cells`

### Create a dashboard cell

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The ID of the dashboard to update.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

Cell that will be added

Content-Type:`application/json`

`h`integer \<int32\>

`name`string

`usingView`string

Makes a copy of the provided view.

`w`integer \<int32\>

`x`integer \<int32\>

`y`integer \<int32\>

Example request[Ask AI about this](#)

```sh
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "name": "NAME",
  "usingView": "USINGVIEW",
  "w": 0,
  "x": 0,
  "y": 0
}'
```

#### Responses

201Cell successfully added

`h`integer \<int32\>

`id`string

`links`object

`self`string

`view`string

`viewID`string

The reference to a view from the views API.

`w`integer \<int32\>

`x`integer \<int32\>

`y`integer \<int32\>

404Dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PUT`/api/v2/dashboards/{dashboardID}/cells`

### Replace cells in a dashboard

Replaces all cells in a dashboard. This is used primarily to update the positional information of all cells.

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The ID of the dashboard to update.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

Content-Type:`application/json`

Example request[Ask AI about this](#)

```sh
curl --request PUT \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json"
```

#### Responses

201Replaced dashboard cells

404Dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PATCH`/api/v2/dashboards/{dashboardID}/cells/{cellID}`

### Update the non-positional information related to a cell

Updates the non positional information related to a cell. Updates to a single cell’s positional data could cause grid conflicts.

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The ID of the dashboard to update.

`cellID`requiredstring

The ID of the cell to update.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

Content-Type:`application/json`

`h`integer \<int32\>

`w`integer \<int32\>

`x`integer \<int32\>

`y`integer \<int32\>

Example request[Ask AI about this](#)

```sh
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "w": 0,
  "x": 0,
  "y": 0
}'
```

#### Responses

200Updated dashboard cell

`h`integer \<int32\>

`id`string

`links`object

`self`string

`view`string

`viewID`string

The reference to a view from the views API.

`w`integer \<int32\>

`x`integer \<int32\>

`y`integer \<int32\>

404Cell or dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

DELETE`/api/v2/dashboards/{dashboardID}/cells/{cellID}`

### Delete a dashboard cell

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The ID of the dashboard to delete.

`cellID`requiredstring

The ID of the cell to delete.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

204Cell successfully deleted

404Cell or dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

GET`/api/v2/dashboards/{dashboardID}/cells/{cellID}/view`

### Retrieve the view for a cell

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The dashboard ID.

`cellID`requiredstring

The cell ID.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200A dashboard cells view

`id`string

`links`object

`self`string

`name`requiredstring

`properties`requiredstring

404Cell or dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PATCH`/api/v2/dashboards/{dashboardID}/cells/{cellID}/view`

### Update the view for a cell

#### Parameters

##### Path parameters

`dashboardID`requiredstring

The ID of the dashboard to update.

`cellID`requiredstring

The ID of the cell to update.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

Content-Type:`application/json`

`id`string

`links`object

`self`string

`name`requiredstring

`properties`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "links": {},
  "name": "NAME",
  "properties": "PROPERTIES"
}'
```

#### Responses

200Updated cell view

`id`string

`links`object

`self`string

`name`requiredstring

`properties`requiredstring

404Cell or dashboard not found

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultUnexpected error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.
